Bug 832610 - Can't talk to AST2150 IPMI BMC [NEEDINFO]
Can't talk to AST2150 IPMI BMC
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Peter Martuccelli
Red Hat Kernel QE team
:
Depends On:
Blocks: 1269638
  Show dependency treegraph
 
Reported: 2012-06-15 18:35 EDT by digimer
Modified: 2015-10-08 15:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-08 15:29:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
linville: needinfo? (peterm)


Attachments (Terms of Use)

  None (edit)
Description digimer 2012-06-15 18:35:09 EDT
Description of problem:

I have a couple servers using Tyan S5512* mainboards, which use the AST2150 IPMI BMC. I can talk to the IPMI interfaces using the network fine, but I can't talk to them locally using ipmitool.

dmidecode reports:
=======
Handle 0x0066, DMI type 38, 16 bytes
IPMI Device Information
        Interface Type: KCS (Keyboard Control Style)
        Specification Version: 1.5
        I2C Slave Address: 0x10
        NV Storage Device: Not Present
        Base Address: 0x0000000000000CA8 (I/O)
=======

dmesg reports:
=======
ipmi message handler version 39.2
IPMI System Interface driver.
ipmi_si: Adding SMBIOS-specified kcs state machine
ipmi_si: Adding ACPI-specified kcs state machine
ipmi_si: Trying SMBIOS-specified kcs state machine at i/o address 0xca8, slave address 0x20, irq 0
ipmi_si: Interface detection failed
ipmi_si: Trying ACPI-specified kcs state machine at i/o address 0xe4, slave address 0x0, irq 0
ipmi_si: Interface detection failed
ipmi device interface
<snip network stuff>
ipmi message handler version 39.2
IPMI System Interface driver.
ipmi_si: Adding SMBIOS-specified kcs state machine
ipmi_si: Adding ACPI-specified kcs state machine
ipmi_si: Trying SMBIOS-specified kcs state machine at i/o address 0xca8, slave address 0x20, irq 0
ipmi_si: Interface detection failed
ipmi_si: Trying ACPI-specified kcs state machine at i/o address 0xe4, slave address 0x0, irq 0
ipmi_si: Interface detection failed
ipmi device interface
=======

When I try to start the ipmi daemon, it reports success:

=======
[root@an-c01n01 selinux]# /etc/init.d/ipmi start
Starting ipmi drivers:                                     [  OK  ]
=======

But there are errors in syslog:

=======
Jun 15 18:28:18 an-c01n01 kernel: ipmi message handler version 39.2
Jun 15 18:28:18 an-c01n01 kernel: IPMI System Interface driver.
Jun 15 18:28:18 an-c01n01 kernel: ipmi_si: Adding SMBIOS-specified kcs state machine
Jun 15 18:28:18 an-c01n01 kernel: ipmi_si: Adding ACPI-specified kcs state machine
Jun 15 18:28:18 an-c01n01 kernel: ipmi_si: Trying SMBIOS-specified kcs state machine at i/o address 0xca8, slave address 0x20, irq 0
Jun 15 18:28:18 an-c01n01 kernel: ipmi_si: Interface detection failed
Jun 15 18:28:18 an-c01n01 kernel: ipmi_si: Trying ACPI-specified kcs state machine at i/o address 0xe4, slave address 0x0, irq 0
Jun 15 18:28:18 an-c01n01 kernel: ipmi_si: Interface detection failed
Jun 15 18:28:18 an-c01n01 kernel: ipmi device interface
=======

Which is confirmed when I try to talk to the BMC:

=======
[root@an-c01n01 selinux]# ipmitool chassis status
Could not open device at /dev/ipmi0 or /dev/ipmi/0 or /dev/ipmidev/0: No such file or directory
Error sending Chassis Status command
=======

To confirm it's working though, I can check the power status over the network:

=======
[root@an-c01n01 selinux]# ipmitool -I lan -U root -P superuser -H an-c01n01.ipmi chassis power status
Chassis Power is on
=======

* http://tyan.com/product_SKU_spec.aspx?ProductType=MB&pid=700&SKU=600000225

Version-Release number of selected component (if applicable):

[root@an-c01n01 selinux]# yum list installed |grep -i ipmi
OpenIPMI.x86_64       2.0.16-12.el6     @base                                   
OpenIPMI-libs.x86_64  2.0.16-12.el6     @base                                   
OpenIPMI-perl.x86_64  2.0.16-12.el6     @base                                   
freeipmi.x86_64       0.7.16-3.el6      @base                                   
freeipmi-bmc-watchdog.x86_64
freeipmi-ipmidetectd.x86_64
ipmitool.x86_64       1.8.11-12.el6_2.1 @updates                                

How reproducible:

100% on my two nodes.

Steps to Reproduce:
1. Build a machine using a Tyan S5512 (or similar) mainboard.
2. Install ipmitool and start the ipmi daemon
3. Try to check the chassis status
  
Actual results:

Either work, or have the daemon return a failure properly (or fix both) :)

Expected results:

Be able to talk to the BMC

Additional info:

I have these test nodes for a little while, so I can mess around with them and the software on them to assist in diagnosing/fixing this.
Comment 1 digimer 2012-06-15 18:36:28 EDT
I should mention that this was tested with selinux both enabled and disabled, without change.
Comment 3 Jan Safranek 2012-06-18 05:01:13 EDT
Moving to kernel, 'service ipmi start' just inserts few modules to kernel.
Comment 4 RHEL Product and Program Management 2012-12-14 03:11:16 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 digimer 2013-04-23 11:27:00 EDT
Sorry for being so very slow to respond. I stopped using these boards. 

I dug up an old board and tested it. It now works as expected.

Note You need to log in before you can comment on or make changes to this bug.